summaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authorpwygab <88221256+merelymyself@users.noreply.github.com>2022-05-17 17:24:39 +0800
committerGitHub <noreply@github.com>2022-05-17 17:24:39 +0800
commit5b940165852772d9a009f2f7db50f0a1bda8fd9d (patch)
tree56e8f6ab3bcb8eee90e2d0f85e8e2bd2e0c3dc40 /install.sh
parent75b09dd69aa64955e50a33a63db37e896ed2571d (diff)
check for rustup install
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh13
1 files changed, 11 insertions, 2 deletions
diff --git a/install.sh b/install.sh
index 7d8ac90..f3b3f33 100755
--- a/install.sh
+++ b/install.sh
@@ -25,12 +25,21 @@ else
exit 1
fi
+if [ -x "$(command -v rustup)" ]
+then
+ echo "SUCCESS: rustup is installed"
+else
+ echo "ERROR: rustup does not seem to be installed."
+ echo "Please download rustup using https://rustup.rs!"
+ exit 1
+fi
+
if [ -x "$(command -v rustc)" ]
then
echo "SUCCESS: Rust is installed"
else
echo "ERROR: Rust does not seem to be installed."
- echo "Please download Rust using https://rustup.rs!"
+ echo "Please download Rust using rustup!"
exit 1
fi
@@ -39,7 +48,7 @@ then
echo "SUCCESS: Cargo is installed"
else
echo "ERROR: Cargo does not seem to be installed."
- echo "Please download Rust and Cargo using https://rustup.rs!"
+ echo "Please download Rust and Cargo using rustup!"
exit 1
fi